Page MenuHomePhabricator

Select participants for Outreachy round 11 by 2015-11-11
Closed, ResolvedPublic

Description

Application deadline for Outreachy'11 is now over, and we need to rank and select the candidates via Outreachy application system.
The deadline for mentors to do their selection in the system = Wednesday, November 11 , 2015

Let me paste down the Gnome administrators announcement on the same:

We view this internship in a way as a fellowship, where we do not expect a certain project to be completed by the participant, but rather expect that the work will be adjusted to the level of their ability, their interests, and the project's priorities throughout the internship. We prefer not to fail people in the program as long as they stay engaged and are putting in a reasonable amount of effort. For this approach to succeed, we need to accept only the applicants who have demonstrated their enthusiasm by their actions and have shown to be quick learners. It's expected that participants will start with different levels of knowledge, but these are some of the qualities to look for.

Participants should be able to put in 40 hours a week into the internship. It's expected that people might have other part-time commitments or schedules which don't line up perfectly with December 7 to March 7 internship dates, but we have a new requirement that participants do not have full-time jobs or school during most of the duration of the internship. If the applicant is in a traditional college or university program, taking more than half of typical credits and having classes or exams for more than 6.5 weeks during the 13 weeks of the internship duration, they are not eligible to participate. Please use the new status "Contribution, full-time commitments" if such an applicant applied with your organization and made a contribution. Please feel free to ask us at outreachy-admins@gnome.org about any situations you are not sure about.

One piece of feedback we had from a few mentors in the past who found that the interns they accepted lacked needed skills is that one contribution is really not enough to conclude that the applicant will do well in the internship. It's best to accept applicants who have done multiple contributions. We did not want to change our application requirement of one contribution, because even getting things set up for one contribution requires quite a bit of work, and we want applying for the program to seem approachable. However, we encourage applicants to continue making contributions after the first one, and most promising applicants will have made multiple contributions.

To help you decide who to accept, you can ask mentors to evaluate applicants in the following ways:

applicant rating for a given project (people can use half points)

5 = amazing applicant, could become a maintainer on completing the program, made extensive contributions of high quality
4 = strong applicant, will certainly do a good job, made substantial contributions of high quality (> ~50 lines of code or equivalent)
3 = good applicant, but is somewhat inexperienced
2 = is unlikely to do a good job
1 = not a good candidate

additional free software experience indicator

Applicant doesn't need to have prior experience with your project to be evaluated with a "+" here. Instead, what this is looking at is whether the applicant has shown their enthusiasm for technology and free software and ability to get stuff done by engaging in some other technology communities and projects that are publicly documented.

+ = enthusiast based on past actions (e.g. has a blog, has been to conferences, has an active GitHub account, or contributed to free software for some time)
0 = proficient user of free software

  • = no experience or very new to free software

We recommend limiting your acceptances to people who have 4/0 or above.

Event Timeline

01tonythomas raised the priority of this task from to Normal.
01tonythomas updated the task description. (Show Details)
01tonythomas added subscribers: Ragesoss, dduvall, Jbarbara and 17 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 12:40 PM
Aklapper renamed this task from Select participants for Outreachy round 11 to Select participants for Outreachy round 11 by 2015-11-11.Nov 4 2015, 12:54 PM
Aklapper set Security to None.

OK. I thought we had more time, https://wiki.gnome.org/Outreachy/2015/DecemberMarch says
November 17 | accepted participants announced on this page at 7pm UTC

@01tonythomas Just want to clarify. Should we as the mentors be rating these projects right now in the Outreachy application? And if so do we need to alter the Contribution status as well?

OK. I thought we had more time, https://wiki.gnome.org/Outreachy/2015/DecemberMarch says
November 17 | accepted participants announced on this page at 7pm UTC

From Outreachy administration team mail dated Nov 4:

Please work with your mentors to determine your preferences for your applicants. The timeline from here:
Friday, November 6 - organizations seeking general funding must have their selections in the system
Wednesday, November 11 - all organizations must have their selections in the system
Tuesday, November 17 - accepted participants are announced

01tonythomas added a subscriber: Qgil.EditedNov 7 2015, 1:50 PM

@01tonythomas Just want to clarify. Should we as the mentors be rating these projects right now in the Outreachy application? And if so do we need to alter the Contribution status as well?

Yes. Mentors are expected to rank the application right in Outreachy within a scale of 0 to 5. According to the email pasted in the description, mentors are supposed to add "Contribution, full-time commitments" in case you feel the applicant is having full time university/other commitments.

Since Wikimedia is funding our own students :

18:06 <qgil> Wikimedia is not "seeking general funding"
18:06 <qgil> we provide our own funding

I think the best option to select in case you feel the candidate should get selected would be 'Will accept, have funding'. @Qgil and @NiharikaKohli, please verify :)

Qgil added a comment.Nov 9 2015, 11:48 AM

Hi, another area that welcomes better documentation for mentors and org admins, yes. :)

Mentors need to make two types of decisions:

For every proposal, evaluate whether it is good enough to be accepted. Options: Yes/No. Note that most of the future success or trouble of the upcoming projects is decided in this evaluation. We have plenty of precedents of mentors not doing a proper assessment, or doing it but being too benevolent with a too junior or too busy candidates, and then struggling to get the project through.

If there is more than one acceptable proposal, which one should be prioritized. Options: ranking of proposals. We have seen a tendency among mentors to prioritize candidates that arrived first and/or candidates bit convincing communication skills. There are good reasons for this approach, and many times it is the right approach. However, experience shows that efficiency resolving microtasks and integration of mentors' feedback in their proposal and their way of working are more accurate factors for evaluation.

This assessment will provide the org admins a list of top candidates based on the feedback of all mentors. Then Developer-Advocacy will check whether our budget fits with the number of candidates to be accepted.

If the budget fits, great.

If the budget doesn't fit, we still have a chance to ask the Outreachy program for a possibility of extra funding (rare, since they prioritize smaller orgs with little to no own funding). If this happens, it is more likely that we will work with org admins and mentors on a prioritization between candidates. This situation has happened in the past, but not frequently. If we reach to that point, let's talk.

Less than 48 hours to the deadline, and we have 11/13 proposals unranked back in https://outreachy.gnome.org/?q=manage_projects&prg=5 :)

This is a gentle reminder to all mentors and co-mentors to start rating out of 5, where you will be accepting proposals with a rating >= 4.

Qgil assigned this task to 01tonythomas.Nov 10 2015, 4:27 PM

Less than 24 hours to the deadline, and we still have 8/13 proposals unrated back in https://outreachy.gnome.org/?q=manage_projects&prg=5 :)

This should be the final reminder ( I am thinking of one more 2 hours before the deadline too ) for mentors and co-mentors to rate their applicants according in a scale from 0 to 5.

Thank You!

Qgil added a comment.Nov 10 2015, 4:59 PM

Org admins, what about meeting on Thursday to go through the evaluations?

Org admins, what about meeting on Thursday to go through the evaluations?

It would be great if it is before the evaluation deadline - which is okey with my timezone.

@Ragesoss are you willing to mentor
https://outreachy.gnome.org/?q=view_projects&prg=5&p=864

If so, you need to click the button.

I finally ranked my entry. Sorry for the delay.

Great! Right now we have each and every application ranked here back in https://outreachy.gnome.org/?q=manage_projects&prg=5 !!!

To avoid confusion, please consider changing the winning application status to 'Will accept, Have Funding' :) ( ref https://phabricator.wikimedia.org/T117686#1791111 )

Qgil added a comment.Nov 11 2015, 7:34 PM

... and remember, please keep your selection (or no-selections) to yourselves until the Outreachy public announcement has been made on Tuesday, November 17. Thank you!

https://www.mediawiki.org/wiki/Outreachy/Round_11#Timeline

01tonythomas closed this task as Resolved.Nov 17 2015, 8:35 PM

The list is out at https://wiki.gnome.org/Outreachy/2015/DecemberMarch#Wikimedia

Thanks to everyone involved.

Qgil awarded a token.Nov 18 2015, 10:21 AM